=== modified file 'bzrlib/tests/test_urlutils.py'
--- bzrlib/tests/test_urlutils.py	2008-07-17 06:17:42 +0000
+++ bzrlib/tests/test_urlutils.py	2008-07-22 02:55:10 +0000
@@ -655,6 +655,8 @@
                          'http://baz/qux', 'http://baz/'))
         self.assertEqual('.', urlutils.rebase_url('foo',
                          'http://bar/', 'http://bar/foo/'))
+        self.assertEqual('qux/bar', urlutils.rebase_url('../bar',
+                         'http://baz/qux/foo', 'http://baz/'))
 
     def test_determine_relative_path(self):
         self.assertEqual('../../baz/bar',

=== modified file 'bzrlib/urlutils.py'
--- bzrlib/urlutils.py	2008-07-17 06:17:42 +0000
+++ bzrlib/urlutils.py	2008-07-22 02:55:10 +0000
@@ -667,7 +667,7 @@
     if (old_parsed[:2]) != (new_parsed[:2]):
         raise errors.InvalidRebaseURLs(old_base, new_base)
     return determine_relative_path(new_parsed[2],
-                                   osutils.pathjoin(old_parsed[2], url))
+                                   join(old_parsed[2], url))
 
 
 def determine_relative_path(from_path, to_path):

